Index: widget_panel.fl
===================================================================
--- widget_panel.fl	(revision 4508)
+++ widget_panel.fl	(working copy)
@@ -34,8 +34,8 @@
 Function {make_widget_panel()} {open
 } {
   Fl_Window {} {open
-    xywh {353 184 410 355} type Double labelsize 11 hide resizable hotspot
-    code0 {o->size_range(o->w(), o->h());}
+    xywh {614 227 410 355} type Double labelsize 11 resizable hotspot
+    code0 {o->size_range(o->w(), o->h());} visible
   } {
     Fl_Tabs {} {
       callback {propagate_load((Fl_Group *)o,v);} open
@@ -43,21 +43,21 @@
     } {
       Fl_Group {} {
         label GUI
-        callback propagate_load
+        callback propagate_load open
         xywh {5 25 400 290} labelsize 11 when 0 resizable
       } {
         Fl_Group {} {
-          callback propagate_load
-          xywh {3 25 396 285} labelsize 11 resizable
+          callback propagate_load open
+          xywh {5 25 400 285} labelsize 11 resizable
         } {
           Fl_Group {} {
+            label {Label:}
             callback propagate_load
-            xywh {90 35 300 20} labelsize 11
+            xywh {90 35 300 20} labelfont 1 labelsize 11 align 4
           } {
             Fl_Input {} {
-              label {Label:}
               callback label_cb
-              tooltip {The label text for the widget.} xywh {90 35 180 20} labelfont 1 labelsize 11 when 1 textsize 11 resizable
+              tooltip {The label text for the widget.} xywh {90 35 180 20} labelfont 1 labelsize 11 align 20 when 1 textsize 11 resizable
             }
             Fl_Choice {} {
               callback labeltype_cb open
@@ -67,13 +67,13 @@
             } {}
           }
           Fl_Group {} {
+            label {Image:}
             callback propagate_load
-            xywh {90 60 300 20} labelsize 11
+            xywh {90 60 300 20} labelfont 1 labelsize 11 align 4
           } {
             Fl_Input {} {
-              label {Image:}
               callback image_cb
-              tooltip {The active image for the widget.} xywh {90 60 230 20} labelfont 1 labelsize 11 textsize 11 resizable
+              tooltip {The active image for the widget.} xywh {90 60 230 20} labelfont 1 labelsize 11 align 20 textsize 11 resizable
             }
             Fl_Button {} {
               label {Browse...}
@@ -82,13 +82,13 @@
             }
           }
           Fl_Group {} {
+            label {Inactive:}
             callback propagate_load
-            xywh {90 85 300 20} labelsize 11
+            xywh {90 85 300 20} labelfont 1 labelsize 11 align 4
           } {
             Fl_Input {} {
-              label {Inactive:}
               callback inactive_cb
-              tooltip {The inactive image for the widget.} xywh {90 85 230 20} labelfont 1 labelsize 11 textsize 11 resizable
+              tooltip {The inactive image for the widget.} xywh {90 85 230 20} labelfont 1 labelsize 11 align 20 textsize 11 resizable
             }
             Fl_Button {} {
               label {Browse...}
@@ -154,9 +154,8 @@
             }
           }
           Fl_Group {} {
-            label {Position:}
-            callback propagate_load
-            xywh {90 145 300 20} labelfont 1 labelsize 11 align 4
+            callback propagate_load open
+            xywh {10 130 380 35} labelfont 1 labelsize 11 align 0
           } {
             Fl_Value_Input widget_x_input {
               label {X:}
@@ -181,11 +180,14 @@
             Fl_Box {} {
               xywh {330 145 60 20} resizable
             }
+            Fl_Box {} {
+              label {Position:}
+              xywh {10 147 80 16} labelfont 1 labelsize 11 align 24
+            }
           }
           Fl_Group {} {
-            label {Values:}
-            callback propagate_load
-            xywh {90 180 300 20} labelfont 1 labelsize 11 align 4
+            callback propagate_load open
+            xywh {10 165 380 35} labelfont 1 labelsize 11 align 0
           } {
             Fl_Value_Input {} {
               label {Size:}
@@ -215,6 +217,10 @@
             Fl_Box {} {
               xywh {390 180 0 20} resizable
             }
+            Fl_Box {} {
+              label {Values:} selected
+              xywh {10 182 80 16} labelfont 1 labelsize 12 align 24
+            }
           }
           Fl_Button {} {
             label {Shortcut:}
@@ -224,13 +230,13 @@
             class Shortcut_Button
           }
           Fl_Group {} {
+            label {X Class:}
             callback propagate_load
-            xywh {90 230 300 20} labelsize 11
+            xywh {90 230 300 20} labelfont 1 labelsize 11 align 4
           } {
             Fl_Input {} {
-              label {X Class:}
               callback xclass_cb
-              tooltip {The X resource class.} xywh {90 230 95 20} labelfont 1 labelsize 11 textsize 11 resizable
+              tooltip {The X resource class.} xywh {90 230 95 20} labelfont 1 labelsize 11 align 0 textsize 11 resizable
             }
             Fl_Light_Button {} {
               label Border
@@ -293,90 +299,85 @@
         xywh {5 25 400 290} labelsize 11 when 0 hide
       } {
         Fl_Group {} {
-          callback propagate_load
+          callback propagate_load open
           xywh {3 25 396 178} labelsize 11 resizable
         } {
           Fl_Group {} {
+            label {Label Font:}
             callback propagate_load
-            xywh {90 35 300 95} labelsize 11
+            xywh {90 35 300 20} labelfont 1 labelsize 11 align 4
           } {
-            Fl_Group {} {
-              callback propagate_load
-              xywh {90 35 300 20} labelsize 11
-            } {
-              Fl_Choice {} {
-                label {Label Font:}
-                callback labelfont_cb open
-                tooltip {The style of the label text.} xywh {90 35 160 20} box THIN_UP_BOX down_box BORDER_BOX labelfont 1 labelsize 11 resizable
-                code0 {extern Fl_Menu_Item fontmenu[];}
-                code1 {o->menu(fontmenu);}
-              } {}
-              Fl_Value_Input {} {
-                callback labelsize_cb
-                tooltip {The size of the label text.} xywh {250 35 50 20} labelsize 11 maximum 100 step 1 value 14 textsize 11
-              }
-              Fl_Button {} {
-                label {Label Color}
-                callback labelcolor_cb
-                tooltip {The color of the label text.} xywh {300 35 90 20} labelsize 11
-              }
+            Fl_Choice {} {
+              callback labelfont_cb open
+              tooltip {The style of the label text.} xywh {90 35 160 20} box THIN_UP_BOX down_box BORDER_BOX labelfont 1 labelsize 11 align 0 resizable
+              code0 {extern Fl_Menu_Item fontmenu[];}
+              code1 {o->menu(fontmenu);}
+            } {}
+            Fl_Value_Input {} {
+              callback labelsize_cb
+              tooltip {The size of the label text.} xywh {250 35 50 20} labelsize 11 maximum 100 step 1 value 14 textsize 11
             }
-            Fl_Group {} {
-              callback propagate_load
-              xywh {90 60 300 20} labelsize 11
-            } {
-              Fl_Choice {} {
-                label {Box:}
-                callback box_cb open
-                tooltip {The "up" box of the widget.} xywh {90 60 210 20} box THIN_UP_BOX down_box BORDER_BOX labelfont 1 labelsize 11 resizable
-                code0 {extern Fl_Menu_Item boxmenu[];}
-                code1 {o->menu(boxmenu);}
-              } {}
-              Fl_Button {} {
-                label Color
-                callback color_cb
-                tooltip {The background color of the widget.} xywh {300 60 90 20} labelsize 11
-              }
+            Fl_Button {} {
+              label {Label Color}
+              callback labelcolor_cb
+              tooltip {The color of the label text.} xywh {300 35 90 20} labelsize 11
             }
-            Fl_Group {} {
-              callback propagate_load
-              xywh {90 85 300 20} labelsize 11
-            } {
-              Fl_Choice {} {
-                label {Down Box:}
-                callback down_box_cb open
-                tooltip {The "down" box of the widget.} xywh {90 85 210 20} box THIN_UP_BOX down_box BORDER_BOX labelfont 1 labelsize 11 resizable
-                code0 {extern Fl_Menu_Item boxmenu[];}
-                code1 {o->menu(boxmenu);}
-              } {}
-              Fl_Button {} {
-                label {Select Color}
-                callback color2_cb
-                tooltip {The selection color of the widget.} xywh {300 85 90 20} labelsize 11
-              }
+          }
+          Fl_Group {} {
+            label {Box:}
+            callback propagate_load
+            xywh {90 60 300 20} labelfont 1 labelsize 11 align 4
+          } {
+            Fl_Choice {} {
+              callback box_cb open
+              tooltip {The "up" box of the widget.} xywh {90 60 210 20} box THIN_UP_BOX down_box BORDER_BOX labelfont 1 labelsize 11 align 0 resizable
+              code0 {extern Fl_Menu_Item boxmenu[];}
+              code1 {o->menu(boxmenu);}
+            } {}
+            Fl_Button {} {
+              label Color
+              callback color_cb
+              tooltip {The background color of the widget.} xywh {300 60 90 20} labelsize 11
             }
-            Fl_Group {} {
-              callback propagate_load
-              xywh {90 110 300 20} labelsize 11
-            } {
-              Fl_Choice {} {
-                label {Text Font:}
-                callback textfont_cb open
-                tooltip {The value text style.} xywh {90 110 160 20} box DOWN_BOX down_box BORDER_BOX labelfont 1 labelsize 11 resizable
-                code0 {extern Fl_Menu_Item fontmenu[];}
-                code1 {o->menu(fontmenu);}
-              } {}
-              Fl_Value_Input {} {
-                callback textsize_cb
-                tooltip {The value text size.} xywh {250 110 50 20} labelsize 11 maximum 100 step 1 value 14 textsize 11
-              }
-              Fl_Button {} {
-                label {Text Color}
-                callback textcolor_cb
-                tooltip {The value text color.} xywh {300 110 90 20} labelsize 11
-              }
+          }
+          Fl_Group {} {
+            label {Down Box:}
+            callback propagate_load
+            xywh {90 85 300 20} labelfont 1 labelsize 11 align 4
+          } {
+            Fl_Choice {} {
+              callback down_box_cb open
+              tooltip {The "down" box of the widget.} xywh {90 85 210 20} box THIN_UP_BOX down_box BORDER_BOX labelfont 1 labelsize 11 align 0 resizable
+              code0 {extern Fl_Menu_Item boxmenu[];}
+              code1 {o->menu(boxmenu);}
+            } {}
+            Fl_Button {} {
+              label {Select Color}
+              callback color2_cb
+              tooltip {The selection color of the widget.} xywh {300 85 90 20} labelsize 11
             }
           }
+          Fl_Group {} {
+            label {Text Font:}
+            callback propagate_load
+            xywh {90 110 300 20} labelfont 1 labelsize 11 align 4
+          } {
+            Fl_Choice {} {
+              callback textfont_cb open
+              tooltip {The value text style.} xywh {90 110 160 20} box DOWN_BOX down_box BORDER_BOX labelfont 1 labelsize 11 align 0 resizable
+              code0 {extern Fl_Menu_Item fontmenu[];}
+              code1 {o->menu(fontmenu);}
+            } {}
+            Fl_Value_Input {} {
+              callback textsize_cb
+              tooltip {The value text size.} xywh {250 110 50 20} labelsize 11 maximum 100 step 1 value 14 textsize 11
+            }
+            Fl_Button {} {
+              label {Text Color}
+              callback textcolor_cb
+              tooltip {The value text color.} xywh {300 110 90 20} labelsize 11
+            }
+          }
           Fl_Box {} {
             xywh {90 135 300 40} labelsize 11 resizable
           }
@@ -388,61 +389,56 @@
         xywh {5 25 400 290} labelsize 11 when 0 hide
       } {
         Fl_Group {} {
+          label {Class:}
+          callback propagate_load open
+          xywh {90 35 300 20} labelfont 1 labelsize 11 align 4
+        } {
+          Fl_Input {} {
+            user_data 4
+            callback subclass_cb
+            tooltip {The widget subclass.} xywh {90 35 160 20} labelfont 1 labelsize 11 align 0 textfont 4 textsize 11 resizable
+          }
+          Fl_Choice {} {
+            callback subtype_cb open
+            tooltip {The widget subtype.} xywh {250 35 140 20} box THIN_UP_BOX down_box BORDER_BOX labelsize 11
+          } {}
+        }
+        Fl_Group {} {
+          label {Name:}
           callback propagate_load
-          xywh {90 35 300 130} labelsize 11
+          xywh {90 60 300 20} labelfont 1 labelsize 11 align 4
         } {
-          Fl_Group {} {
-            callback propagate_load open
-            xywh {90 35 300 20} labelsize 11
-          } {
-            Fl_Input {} {
-              label {Class:}
-              user_data 4
-              callback subclass_cb
-              tooltip {The widget subclass.} xywh {90 35 160 20} labelfont 1 labelsize 11 textfont 4 textsize 11 resizable
-            }
-            Fl_Choice {} {
-              callback subtype_cb open
-              tooltip {The widget subtype.} xywh {250 35 140 20} box THIN_UP_BOX down_box BORDER_BOX labelsize 11
-            } {}
+          Fl_Input {} {
+            callback name_cb
+            tooltip {The name of the widget.} xywh {90 60 240 20} labelfont 1 labelsize 11 align 0 textsize 11 resizable
           }
-          Fl_Group {} {
-            callback propagate_load open
-            xywh {90 60 300 20} labelsize 11
-          } {
-            Fl_Input {} {
-              label {Name:}
-              callback name_cb
-              tooltip {The name of the widget.} xywh {90 60 240 20} labelfont 1 labelsize 11 textsize 11 resizable
-            }
-            Fl_Light_Button {} {
-              label public
-              callback name_public_cb
-              tooltip {Make the widget publicly accessible.} xywh {330 60 60 20} selection_color 1 labelsize 11 when 1
-            }
+          Fl_Light_Button {} {
+            label public
+            callback name_public_cb
+            tooltip {Make the widget publicly accessible.} xywh {330 60 60 20} selection_color 1 labelsize 11 when 1
           }
-          Fl_Input {v_input[0]} {
-            label {Extra Code:}
-            user_data 0
-            callback v_input_cb
-            tooltip {Extra initialization code for the widget.} xywh {90 85 300 20} labelfont 1 labelsize 11 textfont 4 textsize 11
-          }
-          Fl_Input {v_input[1]} {
-            user_data 1
-            callback v_input_cb
-            tooltip {Extra initialization code for the widget.} xywh {90 105 300 20} labelsize 11 textfont 4 textsize 11
-          }
-          Fl_Input {v_input[2]} {
-            user_data 2
-            callback v_input_cb
-            tooltip {Extra initialization code for the widget.} xywh {90 125 300 20} labelsize 11 textfont 4 textsize 11
-          }
-          Fl_Input {v_input[3]} {
-            user_data 3
-            callback v_input_cb
-            tooltip {Extra initialization code for the widget.} xywh {90 145 300 20} labelsize 11 textfont 4 textsize 11
-          }
         }
+        Fl_Input {v_input[0]} {
+          label {Extra Code:}
+          user_data 0
+          callback v_input_cb
+          tooltip {Extra initialization code for the widget.} xywh {90 85 300 20} labelfont 1 labelsize 11 textfont 4 textsize 11
+        }
+        Fl_Input {v_input[1]} {
+          user_data 1
+          callback v_input_cb
+          tooltip {Extra initialization code for the widget.} xywh {90 105 300 20} labelsize 11 align 0 textfont 4 textsize 11
+        }
+        Fl_Input {v_input[2]} {
+          user_data 2
+          callback v_input_cb
+          tooltip {Extra initialization code for the widget.} xywh {90 125 300 20} labelsize 11 align 0 textfont 4 textsize 11
+        }
+        Fl_Input {v_input[3]} {
+          user_data 3
+          callback v_input_cb
+          tooltip {Extra initialization code for the widget.} xywh {90 145 300 20} labelsize 11 align 0 textfont 4 textsize 11
+        }
         Fl_Text_Editor {} {
           label {Callback:}
           callback callback_cb
@@ -451,46 +447,41 @@
           class CodeEditor
         }
         Fl_Group {} {
+          label {User Data:}
           callback propagate_load open
-          xywh {90 265 300 45} labelsize 11
+          xywh {90 265 300 20} labelfont 1 labelsize 11 align 4
         } {
-          Fl_Group {} {
-            callback propagate_load open
-            xywh {90 265 300 20} labelsize 11
-          } {
-            Fl_Input {} {
-              label {User Data:}
-              callback user_data_cb
-              tooltip {The user data to pass into the callback code.} xywh {90 265 140 20} labelfont 1 labelsize 11 textfont 4 textsize 11 resizable
-            }
-            Fl_Choice {} {
-              label {When:}
-              callback when_cb open
-              tooltip {When to call the callback function.} xywh {285 265 105 20} box THIN_UP_BOX down_box BORDER_BOX labelfont 1 labelsize 11 when 1
-              code0 {extern Fl_Menu_Item whenmenu[];}
-              code1 {o->menu(whenmenu);}
-            } {}
+          Fl_Input {} {
+            callback user_data_cb
+            tooltip {The user data to pass into the callback code.} xywh {90 265 140 20} labelfont 1 labelsize 11 align 0 textfont 4 textsize 11 resizable
           }
-          Fl_Group {} {
-            callback propagate_load open
-            xywh {90 290 300 20} labelsize 11
-          } {
-            Fl_Input {} {
-              label {Type:}
-              callback user_data_type_cb
-              tooltip {The type of the user data.} xywh {90 290 140 20} labelfont 1 labelsize 11 textfont 4 textsize 11 resizable
-            }
-            Fl_Light_Button {} {
-              label {No Change}
-              callback when_button_cb
-              tooltip {Call the callback even if the value has not changed.} xywh {285 290 105 20} selection_color 1 labelsize 11
-            }
+          Fl_Choice {} {
+            label {When:}
+            callback when_cb open
+            tooltip {When to call the callback function.} xywh {285 265 105 20} box THIN_UP_BOX down_box BORDER_BOX labelfont 1 labelsize 11 when 1
+            code0 {extern Fl_Menu_Item whenmenu[];}
+            code1 {o->menu(whenmenu);}
+          } {}
+        }
+        Fl_Group {} {
+          label {Type:}
+          callback propagate_load open
+          xywh {90 290 300 20} labelfont 1 labelsize 11 align 4
+        } {
+          Fl_Input {} {
+            callback user_data_type_cb
+            tooltip {The type of the user data.} xywh {90 290 140 20} labelfont 1 labelsize 11 align 0 textfont 4 textsize 11 resizable
           }
+          Fl_Light_Button {} {
+            label {No Change}
+            callback when_button_cb
+            tooltip {Call the callback even if the value has not changed.} xywh {285 290 105 20} selection_color 1 labelsize 11
+          }
         }
       }
     }
-    Fl_Group {} {selected
-      xywh {8 321 391 24} labelsize 11
+    Fl_Group {} {
+      xywh {5 325 400 20} labelsize 11
     } {
       Fl_Box {} {
         xywh {8 325 20 20} labelsize 11 resizable
@@ -518,7 +509,7 @@
       Fl_Button wLiveMode {
         label {LIve &Mode}
         callback live_mode_cb
-        tooltip {Hide the widget overlay box.} xywh {145 325 84 20} type Toggle labelsize 11 labelcolor 0
+        tooltip {Hide the widget overlay box.} xywh {142 325 84 20} type Toggle labelsize 11 labelcolor 0
       }
     }
   }
